/* 
    LCFMETER - Firmware for measure L, C, F using STM32F100 device
    Copyright (C) 2012  Lucjan Bryndza <lucck@boff.pl>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. 
*/

#ifndef _ISIX_TYPES_H
#define _ISIX_TYPES_H

#include <stdint.h>
#include <stdbool.h>
#include <stddef.h>
#include <isix/error.h>

/*-----------------------------------------------------*/
//! Null defs
#ifndef NULL
#define NULL ((void*)0)
#endif /* NULL */

/*-----------------------------------------------------*/
#ifdef __cplusplus
namespace isix
{
#endif
/*-----------------------------------------------------*/

//! Define tick type
typedef unsigned int tick_t;

/*-----------------------------------------------------*/
#ifdef __cplusplus
}
#endif
/*-----------------------------------------------------*/
//! Bit shift
#define _BV(x) (1<<x)

/*-----------------------------------------------------*/

#endif /* __ISIX_TYPES_H */
