/* 
    LCFMETER - Firmware for measure L, C, F using STM32F100 device
    Copyright (C) 2012  Lucjan Bryndza <lucck@boff.pl>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. 
*/

/* ------------------------------------------------------------------ */
/*
 * config.h
 *
 *  Created on: 18-09-2010
 *      Author: lucck
 */
/* ------------------------------------------------------------------ */
#ifndef CONFIG_H_
#define CONFIG_H_
/* ------------------------------------------------------------------ */
#ifdef __cplusplus
 namespace config {
	extern "C" {
#endif
	enum { HZ =  1000 };				// HZ
	enum { HCLK_HZ =  24000000 };		//HCLK HZ
	enum { PCLK1_HZ = 24000000 };		//PCLK1 HZ
	enum { PCLK2_HZ = 24000000 };		//PCLK2 HZ
	const char app_version[] = "0.1";	//App ver

/* ------------------------------------------------------------------ */
#ifdef __cplusplus
	}}
#endif
#endif /* CONFIG_H_ */
